DH_AUTO_BUILD(1)

NOM
dh_auto_build - Construire automatiquement un paquet

SYNOPSIS
dh_auto_build [options_du_processus_de_construction] [options debhelper] [-- paramètres]

DESCRIPTION
dh_auto_build est un programme de la suite debhelper qui tente de construire automatiquement un paquet. Il le fait en lançant les commandes appropriées du processus de construction d'après le type du paquet. Par exemple, s'il trouve un fichier Makefile, il construit le paquet avec make (ou MAKE si les variables d'environnement sont définies). S'il y a un fichier setup.py ou Build.PL il les lance pour réaliser la construction du paquet.

dh_auto_build fonctionne avec 90% des paquets environ. Si ça ne fonctionne pas, il suffit de sauter dh_auto_build et d'exécuter le processus manuellement.

OPTIONS
Consulter OPTIONS DU PROCESSUS DE CONSTRUCTION dans debhelper(7) pour obtenir la liste des processus de construction courants et celle des options de contrôle.

-- paramètres
    Transmet les paramètres au programme exécuté après les paramètres que dh_auto_build transmet normalement.

VOIR AUSSI
debhelper(7)

Ce programme fait partie de debhelper.

AUTEUR
Joey Hess <joeyh@debian.org>

TRADUCTION
Cette traduction est maintenue à l'aide de l'outil po4a <URL:http://po4a.alioth.debian.org/> par l'équipe francophone de traduction de Debian.

Veuillez signaler toute erreur de traduction en écrivant à <debian-l10n-french@lists.debian.org> ou par un rapport de bogue sur le paquet debhelper.

Vous pouvez toujours avoir accès à la version anglaise de ce document en utilisant la commande « man -L C <section> <page_de_man> ».